<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="@dimen/dp_5"
    app:cardCornerRadius="@dimen/dp_5">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:background="@color/mainBackColor">

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="故障现象"
                android:textSize="@dimen/sp_16" />

            <View
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:background="@color/hintTextColor" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2"
                android:gravity="center"
                android:text="原因"
                android:textSize="@dimen/sp_16" />

            <View
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:background="@color/hintTextColor" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2"
                android:gravity="center"
                android:text="解决方法"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:background="@color/hintTextColor" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/phenomenonView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="0"
                android:textSize="@dimen/sp_16" />

            <View
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:background="@color/hintTextColor" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/reasonRecyclerView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="2"
                android:padding="@dimen/dp_10"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

            <View
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:background="@color/hintTextColor" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/solutionRecyclerView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="2"
                android:padding="@dimen/dp_10"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
        </LinearLayout>
    </LinearLayout>
</androidx.cardview.widget.CardView>